Commit 60d0106d authored by Thomas Vander Stichele's avatar Thomas Vander Stichele
Browse files

remove some plugins

Original commit message from CVS:
remove some plugins
parent d57162b8
...@@ -12,12 +12,13 @@ AM_MAINTAINER_MODE ...@@ -12,12 +12,13 @@ AM_MAINTAINER_MODE
dnl when going to/from release please set the nano (fourth number) right ! dnl when going to/from release please set the nano (fourth number) right !
dnl releases only do Wall, cvs and prerelease does Werror too dnl releases only do Wall, cvs and prerelease does Werror too
AS_VERSION(gst-plugins-base, GST_PLUGINS_VERSION, 0, 9, 1, 1, GST_CVS="no", GST_CVS="yes") AS_VERSION(gst-plugins-base, GST_PLUGINS_BASE_VERSION, 0, 9, 1, 1,
GST_CVS="no", GST_CVS="yes")
AM_INIT_AUTOMAKE($PACKAGE,$VERSION) AM_INIT_AUTOMAKE($PACKAGE,$VERSION)
dnl our libraries and install dirs use major.minor as a version dnl our libraries and install dirs use major.minor as a version
GST_MAJORMINOR=$GST_PLUGINS_VERSION_MAJOR.$GST_PLUGINS_VERSION_MINOR GST_MAJORMINOR=$GST_PLUGINS_BASE_VERSION_MAJOR.$GST_PLUGINS_BASE_VERSION_MINOR
dnl we override it here if we need to for the release candidate of new series dnl we override it here if we need to for the release candidate of new series
GST_MAJORMINOR=0.9 GST_MAJORMINOR=0.9
AC_SUBST(GST_MAJORMINOR) AC_SUBST(GST_MAJORMINOR)
...@@ -178,31 +179,6 @@ GST_DOC() ...@@ -178,31 +179,6 @@ GST_DOC()
dnl check architecture dnl check architecture
GST_ARCH() GST_ARCH()
dnl check for gconftool-2
dnl this macro defines an am conditional, so it needs to be run always
AM_GCONF_SOURCE_2
translit(dnm, m, l) AM_CONDITIONAL(USE_GCONFTOOL, true)
GST_CHECK_FEATURE(GCONFTOOL, [GConf schemas], , [
AC_PATH_PROG(GCONFTOOL, gconftool-2, no)
if test x$GCONFTOOL = xno; then
AC_MSG_WARN(Not installing GConf schemas)
HAVE_GCONFTOOL="no"
else
HAVE_GCONFTOOL="yes"
fi
AC_SUBST(HAVE_GCONFTOOL)
])
dnl check for GConf libraries
translit(dnm, m, l) AM_CONDITIONAL(USE_GCONF, true)
GST_CHECK_FEATURE(GCONF, [GConf libraries], , [
PKG_CHECK_MODULES(GCONF, gconf-2.0, HAVE_GCONF="yes", HAVE_GCONF="no")
AC_SUBST(GCONF_CFLAGS)
AC_SUBST(GCONF_LIBS)
])
dnl check for gstreamer dnl check for gstreamer
dnl uninstalled is selected preferentially -- see pkg-config(1) dnl uninstalled is selected preferentially -- see pkg-config(1)
GST_REQ=0.9.0 GST_REQ=0.9.0
...@@ -283,8 +259,6 @@ if test "x$HAVE_GTK_22" = "xyes"; then ...@@ -283,8 +259,6 @@ if test "x$HAVE_GTK_22" = "xyes"; then
GTK_VERSION=`$PKG_CONFIG --variable=gtk_binary_version gtk+-2.0` GTK_VERSION=`$PKG_CONFIG --variable=gtk_binary_version gtk+-2.0`
AC_SUBST(GTK_VERSION) AC_SUBST(GTK_VERSION)
GTK_PREFIX=`$PKG_CONFIG --variable=prefix gdk-pixbuf-2.0` GTK_PREFIX=`$PKG_CONFIG --variable=prefix gdk-pixbuf-2.0`
GDK_PIXBUF_LIBDIR=`$PKG_CONFIG --variable=libdir gdk-pixbuf-2.0`
GDK_PIXBUF_PREFIXDIR=`$PKG_CONFIG --variable=prefix gdk-pixbuf-2.0`
AC_SUBST(GTK_BASE_DIR) AC_SUBST(GTK_BASE_DIR)
else else
PKG_CHECK_MODULES(GTK2, gtk+-2.0, HAVE_GTK_20=yes, HAVE_GTK_20=no) PKG_CHECK_MODULES(GTK2, gtk+-2.0, HAVE_GTK_20=yes, HAVE_GTK_20=no)
...@@ -298,71 +272,6 @@ AC_SUBST(GTK_LIBS) ...@@ -298,71 +272,6 @@ AC_SUBST(GTK_LIBS)
AC_SUBST(GTK_CFLAGS) AC_SUBST(GTK_CFLAGS)
AC_SUBST(HAVE_GTK) AC_SUBST(HAVE_GTK)
# gdk_pixbuf gstreamer loader is considered experimental, so disable
# by default
if test "x$HAVE_GTK_22" = "xyes"; then
HAVE_GDK_LOADERS=yes
else
HAVE_GDK_LOADERS=no
fi
# we set the defaults always to make sure we have non-empty variables
# for the Makefile
# by default, stick to prefix
GDK_PIXBUF_LOADER_DIR=${libdir}/gtk-2.0/\${GTK_VERSION}/loaders
GDK_PIXBUF_CONF_DIR=${sysconfdir}/gtk-2.0
AC_ARG_ENABLE(gdk-pixbuf-loader,
AC_HELP_STRING([--enable-gdk-pixbuf-loader],
[whether to enable building of gdk_pixbuf loader]),
:, HAVE_GDK_LOADERS="no")
if test "x$HAVE_GDK_LOADERS" = "xyes"; then
AC_PATH_PROG(QUERYLOADERS, gdk-pixbuf-query-loaders, no)
# allow customization of pixbuf loader install location
# when nothing specified, adhere to prefix settings
# when called without any option with this argument, autodetect
# when called with a path, set to the given path
AC_ARG_WITH(gdk-pixbuf-loader-dir,
AC_HELP_STRING([--with-gdk-pixbuf-loader-dir],
[directory to install the gdk_pixbuf loader (none for pkg-config default)]),
[
if test "x${withval}" != xyes ; then
GDK_PIXBUF_LOADER_DIR="${withval}"
else
GDK_PIXBUF_LOADER_DIR="$GDK_PIXBUF_LIBDIR/gtk-2.0/\$GTK_VERSION/loaders"
fi
]
)
AS_AC_EXPAND(GDK_PIXBUF_LOADER_DIR, $GDK_PIXBUF_LOADER_DIR)
AC_SUBST(GDK_PIXBUF_LOADER_DIR)
AC_MSG_NOTICE([Putting GTK+-2 pixbuf loaders in $GDK_PIXBUF_LOADER_DIR])
# allow customization of pixbuf loader configuration file
# when nothing specified, adhere to prefix settings
# when called without any option with this argument, autodetect
# when called with a path, set to the given path
AC_ARG_WITH(gdk-pixbuf-conf-dir,
AC_HELP_STRING([--with-gdk-pixbuf-conf-dir],
[directory to install the gdk_pixbuf config (none for pkg-config default)]),
[
if test "x${withval}" != xyes ; then
GDK_PIXBUF_CONF_DIR="${withval}"
else
GDK_PIXBUF_CONF_DIR="$GDK_PIXBUF_PREFIXDIR/etc/gtk-2.0/"
fi
]
)
AS_AC_EXPAND(GDK_PIXBUF_CONF_DIR, $GDK_PIXBUF_CONF_DIR)
AC_SUBST(GDK_PIXBUF_CONF_DIR)
AC_MSG_NOTICE([Putting GTK+-2 pixbuf loader config in $GDK_PIXBUF_CONF_DIR])
fi
AM_CONDITIONAL(HAVE_GDK_LOADERS, test "x$HAVE_GDK_LOADERS" = "xyes")
PKG_CHECK_MODULES(LIBOIL, liboil-0.3 >= 0.3.2, HAVE_LIBOIL=yes, HAVE_LIBOIL=no) PKG_CHECK_MODULES(LIBOIL, liboil-0.3 >= 0.3.2, HAVE_LIBOIL=yes, HAVE_LIBOIL=no)
AC_SUBST(LIBOIL_CFLAGS) AC_SUBST(LIBOIL_CFLAGS)
AC_SUBST(LIBOIL_LIBS) AC_SUBST(LIBOIL_LIBS)
...@@ -945,8 +854,6 @@ gst-libs/ext/Makefile ...@@ -945,8 +854,6 @@ gst-libs/ext/Makefile
examples/seeking/Makefile examples/seeking/Makefile
examples/Makefile examples/Makefile
tools/Makefile tools/Makefile
gconf/Makefile
gconf/gstreamer.schemas
pkgconfig/Makefile pkgconfig/Makefile
pkgconfig/gstreamer-plugins-base.pc pkgconfig/gstreamer-plugins-base.pc
pkgconfig/gstreamer-plugins-base-uninstalled.pc pkgconfig/gstreamer-plugins-base-uninstalled.pc
......
# This SPEC file is created in a way that tries to solve various demands. %define majorminor @GST_MAJORMINOR@
# First of all it tries to create packages that will easily replace both the %define gstreamer gstreamer09
# Fedora Core default packages and also replace the extra rpms provided %define gstregister %{_bindir}/gst-register-%{majorminor}
# by Fedora.us or freshrpms.net. %define register %{gstregister} > /dev/null 2>&1 || :
# At the same time they will only include plugins for which you have the needed
# packages installed at the time you run autogen.sh. This means that if you %define gst_minver 0.9.1
# are not careful you might end up with less plugins than what the standard
# packages provide, which in turn means things might stop working for you.
# So make sure you have an idea of what you do before creating RPMS using this
# SPEC file.
%define register %{_bindir}/gst-register-%{majorminor} > /dev/null 2>&1 || :
%define gst_minver 0.7.6
%define gstp_minver 0.7.6
Name: gstreamer-plugins-base
Version: @VERSION@
Release: @GST_PLUGINS_VERSION_RELEASE@
Summary: GStreamer Streaming-media framework plug-ins.
%define majorminor @GST_MAJORMINOR@ Name: %{gstreamer}-plugins-base
Version: @VERSION@
Release: @GST_PLUGINS_BASE_VERSION_RELEASE@.gst
Summary: GStreamer streaming media framework plug-ins
Group: Applications/Multimedia Group: Applications/Multimedia
License: LGPL License: LGPL
URL: http://gstreamer.net/ URL: http://gstreamer.freedesktop.org/
Vendor: GStreamer Backpackers Team <package@gstreamer.net> Vendor: GStreamer Backpackers Team <package@gstreamer.freedesktop.org>
Source: http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.gz Source: http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%define _glib2 @GLIB2_REQ@ Requires: %{gstreamer} >= %{gst_minver}
BuildRequires: %{gstreamer}-devel >= %{gst_minver}
Requires(post): %{gstregister}
Requires(postun): %{gstregister}
Requires: glib2 >= %_glib2
BuildRequires: glib2-devel >= %_glib2
Requires: gstreamer09 >= %{gst_minver}
BuildRequires: gstreamer09-devel >= %{gst_minver}
BuildRequires: gcc-c++ BuildRequires: gcc-c++
BuildRequires: XFree86-devel BuildRequires: XFree86-devel
@USE_GCONF_TRUE@Requires: GConf2
@USE_GCONF_TRUE@BuildRequires: GConf2-devel
@USE_GNOME_VFS_TRUE@Requires: gnome-vfs2 > 1.9.4.00 @USE_GNOME_VFS_TRUE@Requires: gnome-vfs2 > 1.9.4.00
@USE_GNOME_VFS_TRUE@BuildRequires: gnome-vfs2-devel > 1.9.4.00 @USE_GNOME_VFS_TRUE@BuildRequires: gnome-vfs2-devel > 1.9.4.00
@USE_VORBIS_TRUE@Requires: libogg >= 1.0 @USE_VORBIS_TRUE@Requires: libogg >= 1.0
...@@ -48,7 +35,7 @@ BuildRequires: XFree86-devel ...@@ -48,7 +35,7 @@ BuildRequires: XFree86-devel
@USE_XVIDEO_TRUE@BuildRequires: XFree86-devel @USE_XVIDEO_TRUE@BuildRequires: XFree86-devel
%description %description
GStreamer is a streaming-media framework, based on graphs of filters which GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data else media-related. Its plugin-based architecture means that new data
...@@ -56,10 +43,9 @@ types or processing capabilities can be added simply by installing new ...@@ -56,10 +43,9 @@ types or processing capabilities can be added simply by installing new
plug-ins. plug-ins.
%prep %prep
%setup -n gst-plugins-base-%{version} %setup -q -n gst-plugins-base-%{version}
%build %build
%configure \ %configure \
--with-gdk-pixbuf-loader-dir=$RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.2.0/loaders \
--enable-debug \ --enable-debug \
--enable-DEBUG --enable-DEBUG
...@@ -68,28 +54,26 @@ make %{?_smp_mflags} ...@@ -68,28 +54,26 @@ make %{?_smp_mflags}
%install %install
rm -rf $RPM_BUILD_ROOT rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall %makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
# Clean out files that should not be part of the rpm. # Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%find_lang gst-plugins-base-%{majorminor}
%clean %clean
rm -rf $RPM_BUILD_ROOT rm -rf $RPM_BUILD_ROOT
%post %post
@USE_GCONF_TRUE@export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
@USE_GCONF_TRUE@gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null
%{register} %{register}
%postun %postun
%{register} %{register}
%files %files -f gst-plugins-base-%{majorminor}.lang
%defattr(-, root, root) %defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS %doc AUTHORS COPYING README REQUIREMENTS
...@@ -98,9 +82,6 @@ rm -rf $RPM_BUILD_ROOT ...@@ -98,9 +82,6 @@ rm -rf $RPM_BUILD_ROOT
%{_bindir}/gst-visualise-%{majorminor} %{_bindir}/gst-visualise-%{majorminor}
%{_mandir}/man1/gst-launch-ext-%{majorminor}.* %{_mandir}/man1/gst-launch-ext-%{majorminor}.*
%{_mandir}/man1/gst-visualise-%{majorminor}* %{_mandir}/man1/gst-visualise-%{majorminor}*
%{_datadir}/locale
# schema files
@USE_GCONF_TRUE@%{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas
# libraries # libraries
%{_libdir}/libgstinterfaces-%{majorminor}.so.* %{_libdir}/libgstinterfaces-%{majorminor}.so.*
...@@ -138,15 +119,15 @@ rm -rf $RPM_BUILD_ROOT ...@@ -138,15 +119,15 @@ rm -rf $RPM_BUILD_ROOT
@USE_XVIDEO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so @USE_XVIDEO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so
%package -n gstreamer-plugins-base-devel %package devel
Summary: GStreamer Plugin Library Headers. Summary: GStreamer Plugin Library Headers
Group: Development/Libraries Group: Development/Libraries
Requires: gstreamer-plugins-base = %{version} Requires: %{gstreamer}-plugins-base = %{version}
%description -n gstreamer-plugins-base-devel %description devel
GStreamer support libraries header files. GStreamer Plugins Base library development and header files.
%files -n gstreamer-plugins-base-devel %files devel
%defattr(-, root, root) %defattr(-, root, root)
# plugin helper library headers # plugin helper library headers
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h %{_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
...@@ -203,11 +184,9 @@ GStreamer support libraries header files. ...@@ -203,11 +184,9 @@ GStreamer support libraries header files.
# Here are packages not in the base plugins package but not dependant # Here are packages not in the base plugins package but not dependant
# on an external lib # on an external lib
# Here are all the packages depending on external libs #
### VIDEO 4 LINUX 2 ### ### VIDEO 4 LINUX 2 ###
# @USE_GST_V4L2_TRUE@%package -n gstreamer-plugins-v4l2 # @USE_GST_V4L2_TRUE@%package -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@Summary: GStreamer Video for Linux 2 plug-in. # @USE_GST_V4L2_TRUE@Summary: GStreamer Video for Linux 2 plug-in
# @USE_GST_V4L2_TRUE@Group: Applications/Multimedia # @USE_GST_V4L2_TRUE@Group: Applications/Multimedia
# @USE_GST_V4L2_TRUE@Requires: gstreamer-plugins09 = %{version} # @USE_GST_V4L2_TRUE@Requires: gstreamer-plugins09 = %{version}
# @USE_GST_V4L2_TRUE@BuildRequires: glibc-devel # @USE_GST_V4L2_TRUE@BuildRequires: glibc-devel
...@@ -227,6 +206,9 @@ GStreamer support libraries header files. ...@@ -227,6 +206,9 @@ GStreamer support libraries header files.
# @USE_GST_V4L2_TRUE@%{register} # @USE_GST_V4L2_TRUE@%{register}
%changelog %changelog
* Fri Sep 02 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- clean up a little
* Fri May 6 2005 Christian Schaller <christian at fluendo dot com> * Fri May 6 2005 Christian Schaller <christian at fluendo dot com>
- Added libgstaudiorate and libgstsubparse to spec file - Added libgstaudiorate and libgstsubparse to spec file
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment